.node--type-news-article.node--view-mode-full {
  padding-bottom: 112px;

  .image-gallery {
    padding: 48px 0;
  }

  & .group-title-prefix {
    display: flex;
    margin-bottom: 16px;
    gap: 16px;
    justify-content: center;
    align-items: center;

    @container (min-width: 768px) {
      justify-content: start;
    }

    & .field--name-node-read-time {
      color: var(--text-secondary);
      font-size: 12px;
      font-weight: 600;
    }
  }

  & .field--name-field-tags {
    background-color: var(--text-primary);
    color: var(--text-alternative);
    font-size: 14px;
    padding: 4px 6px;
    border-radius: 8px 0;
    font-weight: 600;
  }

  & .field--name-node-title {
    text-align: center;
    margin-bottom: 20px;

    @container (min-width: 768px) {
      text-align: unset;
    }
  }

  & .field--name-field-image .field__item {
    container-type: inline-size;
    width: 100%;
    margin-bottom: 20px;

    & img {
      width: 100%;
      height: auto;
      border-radius: 20cqw 0;
    }
  }

  & .group-metadata {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 40px;
    margin-bottom: 40px;

    @container (min-width: 768px) {
      flex-direction: row;
      justify-content: space-between;
    }
  }

  & .group-additional-info {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 16px;

    @container (min-width: 768px) {
      gap: 48px;
    }
  }

  & .field--name-node-author,
  & .field--name-node-post-date {
    & .field__label {
      color: var(--text-secondary);
      font-size: 14px;
      margin-bottom: 4px;
    }

    & .field__item {
      color: var(--text-primary);
      font-size: 14px;
      font-weight: 500;
    }
  }

  & .social-sharing-buttons {
    margin: unset;
    gap: 20px;

    & a {
      margin: unset;
      width: 32px;
      height: 32px;
      background: var(--bg-tertiary);
      border-radius: 50%;

      & svg {
        fill: var(--link-secondary);
      }
    }

    @container (min-width: 768px) {
      margin-left: auto;
    }
  }

  & .a2a_kit {
    display: flex;
    gap: 20px;

    & a {
      background-color: var(--bg-tertiary);
      border-radius: 50%;
      color: var(--link-secondary);
      display: inline-block;
      align-items: center;
      padding: 4px;

      & i {
        font-size: 24px;
        line-height: 1;
      }
    }
  }

  & .field--name-field-paragraphs {
    gap: 0;
  }

  & ul.flippy {
    display: flex;
    align-items: center;
    margin-top: 64px;

    & li,
    & li > * {
      color: var(--text-secondary);
      font-weight: 500;
      display: inline-flex;
      align-items: center;
      gap: 8px;
    }

    & li.flippy-previous {
      margin-right: auto;

      & > a::before {
        content: "";
        width: 24px;
        height: 24px;
        background-color: currentColor;
        mask-image: url("/modules/custom/ui_icons_boxicons/node_modules/boxicons/svg/regular/bx-chevron-left.svg");
        mask-size: contain;
        mask-repeat: no-repeat;
      }
    }

    & li.flippy-next {
      margin-left: auto;

      & > a::after {
        content: "";
        width: 24px;
        height: 24px;
        background-color: currentColor;
        mask-image: url("/modules/custom/ui_icons_boxicons/node_modules/boxicons/svg/regular/bx-chevron-right.svg");
        mask-size: contain;
        mask-repeat: no-repeat;
      }
    }
  }
}

.node--type-news-article.node--view-mode-full .paragraph--type--news-paragraph {
  & > p {
    color: var(--text-secondary);
    margin-bottom: 16px;
  }

  & > h4, h5, h6 {
    margin-top: 24px;
    margin-bottom: 20px;
  }

  & blockquote {
    padding: 20px 48px;
    background-color: var(--bg-tertiary);
    margin: 48px 16px;
    border-radius: 40px 0;

    & p {
      color: var(--text-secondary);
      font-size: 20px;
      font-family: var(--font-laila), serif;
      text-align: center;
      letter-spacing: -2%;
    }

    @container (min-width: 768px) {
      margin: 48px;
    }
  }

  & img {
    width: 100%;
    object-fit: cover;
    border-radius: 0 104px;
  }

  & figure {
    width: 100%;
    display: flex;
    flex-direction: column;
    background-color: var(--bg-tertiary);
    border-radius: 0 104px;
    margin: 48px 0;

    & img {
      flex-shrink: 0;
      flex-basis: 375px;
    }

    & figcaption {
      padding: 8px 80px;
      display: flex;
      text-wrap: balance;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      text-align: center;
      font-size: 14px;
      font-family: var(--font-laila), serif;
      color: var(--text-secondary);
      line-height: 1.2;
      letter-spacing: -2%;
      flex: 1;
    }
  }
}


.node--type-news-article.node--view-mode-full .layout-two-col-grid:has(figure) {
  margin: 48px 0;

  & .layout__region .paragraph--type--news-paragraph {
    height: 100%;
  }

  & figure {
    margin: 0;
    height: 100%
  }

  & .layout__region--right figure {
    border-radius: 104px 0;
    & img {
      border-radius: 104px 0;
    }
  }
}

.node--type-news-article.node--view-mode-full .paragraph--type--news-paragraph {

  & > p {
    color: var(--text-secondary);
    margin-bottom: 16px;
  }

  & blockquote {
    padding: 20px 48px;
    background-color: var(--bg-tertiary);
    margin: 48px 16px;
    border-radius: 40px 0;

    & p {
      color: var(--text-secondary);
      font-size: 20px;
      font-family: var(--font-laila), serif;
      text-align: center;
      letter-spacing: -2%;
    }

    @container (min-width: 768px) {
      margin: 48px;
    }
  }

  & img {
    width: 100%;
    object-fit: cover;
    border-radius: 0 104px;
  }

  & figure {
    width: 100%;
    display: flex;
    flex-direction: column;
    background-color: var(--bg-tertiary);
    border-radius: 0 104px;
    margin: 48px 0;

    & img {
      flex-shrink: 0;
      flex-basis: 375px;
    }

    & figcaption {
      padding: 8px 80px;
      display: flex;
      text-wrap: balance;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      text-align: center;
      font-size: 14px;
      font-family: var(--font-laila), serif;
      color: var(--text-secondary);
      line-height: 1.2;
      letter-spacing: -2%;
      flex: 1;
    }
  }
}


.node--type-news-article.node--view-mode-full .layout-two-col-grid:has(figure) {
  margin: 48px 0;

  & .layout__region .paragraph--type--news-paragraph {
    height: 100%;
  }

  & figure {
    margin: 0;
    height: 100%
  }

  & .layout__region--right figure {
    border-radius: 104px 0;
    & img {
      border-radius: 104px 0;
    }
  }
}

.views-view-responsive-grid__item:has(.node--type-news-article.node--view-mode-teaser) {
  display: flex;
  flex-direction: column;

  & .views-view-responsive-grid__item-inner {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
  }
}
